Bug 37492 - RFE: Installer sometimes offers the 'click here toretry' dialog, but no 'cancel operation' choice
RFE: Installer sometimes offers the 'click here toretry' dialog, but no 'canc...
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-04-24 22:06 EDT by Kervin Pierre
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-03 15:48:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kervin Pierre 2001-04-24 22:06:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

[I recently posted this on the seawolf list.  I was told to repost here]

The redhat installer many times will offer the user 'click here to
retry' dialog, but no 'cancel installation' choice!  It's the age old
'(R)etry, (A)bort, (C)ancel', guys come on, even DOS got that right :)! 
The user is forced to do a hard reboot because the gui sometimes keeps
keyboard input even if you switch to another virtual terminal.  I got
this when the installer reported it could not read from the cd rom, but
it turns out by the way, it was not the cd rom but a disk error. The
problem got worst because after the hard reboot I had to fsck manually. 
Having a cancel option included would have prevented this.

Reproducible: Always
Steps to Reproduce:

Actual Results:  I don't know exactly what caused the error, but the
installer complained about the cdrom media (my media and drive was fine)
then asked me to retry without giving me the option to cancel.  I was
upgrading 6.2->7.1

Expected Results:  I not to bad rule of thumb is would be, on any dialog
with a "retry"
option, there should also be an "abort" or "cancel" option
Comment 1 Brent Fox 2001-04-24 22:29:08 EDT
You can always press <Ctrl><Alt><Del> to reboot the machine.  This should exit
the installer cleanly so that you should not have to fsck after reboot.  But I
understand your point.  I'll mark this as a request for enhancement.
Comment 2 yamaneko 2001-05-03 19:07:05 EDT
What I had to do to finish the installation without rebooting was to switch to 
another VT (alt-F2 for example) and unmount the CD drive. (umount /mnt/source) 
I then remounted it (mount /dev/hdc /mnt/source) switched back to the correct 
VT for the installer and pressed "retry". This allowed the installer to read 
the package that it was complaining about and continue.
Comment 3 Brent Fox 2001-07-03 15:48:08 EDT
I think that there's some merit to this request, but I think it's a pretty low
priority on our long to-do list.

Note You need to log in before you can comment on or make changes to this bug.